{system/conversion/conversion_progress.i}

/*------------------------------------------------------------------------
  File: aa/conversion/12.02/aa-1202-after-03-aa-report-ultimo-forcefields.p
  Doel: - Vervangen van de Forcefields voor de Financial-Files Ultimo
          rapportages, zodat de 'To' period kan worden ingegeven ipv de
          'From' period
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR iLoop                         AS INTEGER   NO-UNDO.


DEF BUFFER b-aa-fin_report FOR aa-fin_report.

ASSIGN cProgram =  "aa-1202-after-03-aa-report-ultimo-forcefields.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.



  ASSIGN cAction  = "Move Forcefields from 'to' to 'from'"
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  FOR EACH sp-company NO-LOCK
    TRANSACTION:

    FOR EACH b-aa-fin_report WHERE 
             b-aa-fin_report.companycode    = sp-company.companycode AND
             b-aa-fin_Report.applicatiekode = "AA" AND
             b-aa-fin_report.modelkode      = "XFIN_DOSSIER" AND
            (b-aa-fin_report.FILENAME       = "AA\report\aa-fin_payable_dossier-open-ultimo-tot.rpt" OR
             b-aa-fin_report.FILENAME       = "AA\report\aa-fin_payable_dossier-open-ultimo.rpt")
             EXCLUSIVE-LOCK:

      IF INDEX(b-aa-fin_report.exportquery,"result_acc_year-till") <> 0
      THEN ASSIGN b-aa-fin_report.exportquery = REPLACE(b-aa-fin_report.exportquery,"result_acc_year-till","result_acc_year").
      IF INDEX(b-aa-fin_report.exportquery,"result_acc_period-till") <> 0
      THEN ASSIGN b-aa-fin_report.exportquery = REPLACE(b-aa-fin_report.exportquery,"result_acc_period-till","result_acc_period").

      iDone = iDone  + 1.
      RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
    END.
  END.

RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).



