&ANALYZE-SUSPEND _VERSION-NUMBER UIB_v9r12
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS Procedure 
/* ********************** *****  Definitions  ************************** */

{system/include/sp-allobjects-def.i}.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE Procedure
&Scoped-define DB-AWARE no



/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME


/* ************************  Function Prototypes ********************** */

&IF DEFINED(EXCLUDE-spGetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD spGetEntry Procedure 
FUNCTION spGetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER )  FORWARD.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-spSetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD spSetEntry Procedure 
FUNCTION spSetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValue     AS CHARACTER,
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER )  FORWARD.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF


/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Procedure
   Allow: 
   Frames: 0
   Add Fields to: Neither
   Other Settings: CODE-ONLY
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW Procedure ASSIGN
         HEIGHT             = 15
         WIDTH              = 60.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME

 


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK Procedure 


/* ***************************  Main Block  *************************** */


RUN finReport.

RUN reportTexts.

RUN LimitAction .
RUN addressRemarks .

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&IF DEFINED(EXCLUDE-addressRemarks) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE addressRemarks Procedure 
PROCEDURE addressRemarks :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/

/* Remarks veld in de db is 99 lang, maar moet gexporteerd worden als 512, 
   want zo staat ie op het scherm. */

DEFINE BUFFER b-sp-field FOR sp-field.

FIND b-sp-field WHERE TRUE 
 AND b-sp-field.applicatiekode = 'AA'
 AND b-sp-field.file-name = 'AA-ADDRESS'
 AND b-sp-field.field-name = 'remarks'
 EXCLUSIVE-LOCK NO-ERROR.

IF NOT AVAILABLE b-sp-field
THEN CREATE b-sp-field.

ASSIGN 
  b-sp-field.applicatiekode = 'AA'
  b-sp-field.file-name = 'AA-ADDRESS'
  b-sp-field.field-name = 'remarks'
  b-sp-field.field-datatype = 1
  b-sp-field.field-width = 512
  b-sp-field.field-long = yes
  .

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-finReport) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE finReport Procedure 
PROCEDURE finReport :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/

DEFINE BUFFER b-aa-fin_report FOR aa-fin_report.

FOR EACH sp-company NO-LOCK
  TRANSACTION:

  FIND b-aa-fin_report WHERE TRUE 
   AND b-aa-fin_report.companycode = sp-company.companycode
   AND b-aa-fin_report.applicatiekode = 'AA'
   AND b-aa-fin_report.modelkode = 'XFIN_DOSSIER'
   AND b-aa-fin_report.filename = 'AA\report\aa-fin_payable_dossier-review.rpt'
   AND b-aa-fin_report.report_seqnr = 1
   EXCLUSIVE-LOCK NO-ERROR.
   IF NOT AVAILABLE b-aa-fin_report
   THEN CREATE b-aa-fin_report.
   ASSIGN 
        b-aa-fin_report.companycode = sp-company.companycode
        b-aa-fin_report.applicatiekode = 'AA'
        b-aa-fin_report.modelkode = 'XFIN_DOSSIER'
        b-aa-fin_report.filename = 'AA\report\aa-fin_payable_dossier-review.rpt'
        b-aa-fin_report.des = 'Review Items Financial Files'
        b-aa-fin_report.text_objectnr = 0
        b-aa-fin_report.ind_inactive = no
        b-aa-fin_report.report_seqnr = 1
        .

 FIND b-aa-fin_report 
  WHERE TRUE 
   AND b-aa-fin_report.companycode = sp-company.companycode
   AND b-aa-fin_report.applicatiekode = 'AA'
   AND b-aa-fin_report.modelkode = 'XFIN_DOSSIER'
   AND b-aa-fin_report.filename = 'AA\report\aa-fin_dossier-warning-summary-files.rpt'
   AND b-aa-fin_report.report_seqnr = 1
   EXCLUSIVE-LOCK NO-ERROR.

  IF NOT AVAILABLE b-aa-fin_report
  THEN CREATE b-aa-fin_report.

  ASSIGN 
   b-aa-fin_report.companycode = sp-company.companycode
   b-aa-fin_report.applicatiekode = 'AA'
   b-aa-fin_report.modelkode = 'XFIN_DOSSIER'
   b-aa-fin_report.filename = 'AA\report\aa-fin_dossier-warning-summary-files.rpt'
   b-aa-fin_report.des = 'Warning List'
   b-aa-fin_report.text_objectnr = 0
   b-aa-fin_report.ind_inactive = no
   b-aa-fin_report.report_seqnr = 1
   .


  FIND b-aa-fin_report WHERE TRUE 
   AND b-aa-fin_report.companycode = sp-company.companycod
   AND b-aa-fin_report.applicatiekode = 'AA'
   AND b-aa-fin_report.modelkode = 'XFIN_PAYMENT_AUTO_2'
   AND b-aa-fin_report.filename = 'AA\report\aa-fin_payment_cr-bulk-check-list.rpt'
   AND b-aa-fin_report.report_seqnr = 1
   EXCLUSIVE-LOCK NO-ERROR.
   IF NOT AVAILABLE b-aa-fin_report
   THEN CREATE b-aa-fin_report.
   ASSIGN 
        b-aa-fin_report.companycode = sp-company.companycod
        b-aa-fin_report.applicatiekode = 'AA'
        b-aa-fin_report.modelkode = 'XFIN_PAYMENT_AUTO_2'
        b-aa-fin_report.filename = 'AA\report\aa-fin_payment_cr-bulk-check-list.rpt'
        b-aa-fin_report.des = 'Payments Check List'
        b-aa-fin_report.text_objectnr = 0
        b-aa-fin_report.ind_inactive = no
        b-aa-fin_report.report_seqnr = 1
        .
   
END. /* each company */


END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-LimitAction) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE LimitAction Procedure 
PROCEDURE LimitAction :
/*------------------------------------------------------------------------------
  Purpose:     IN OE10 kunnen combo boxen niet leeg blijven.
               Daarom de Lijst van opties van limit_action van updaten, en
               limit action velden zelf converteren naar de nieuwe waarde.
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/


  DEFINE BUFFER b-aa-control FOR aa-control.
  
  DO TRANSACTION:
  
    FIND b-aa-control WHERE TRUE 
     AND b-aa-control.controlcode = 'LIMIT_ACTION'
     EXCLUSIVE-LOCK NO-ERROR.
     IF NOT AVAILABLE b-aa-control
     THEN CREATE b-aa-control.
     ASSIGN 
     b-aa-control.controlcode = 'LIMIT_ACTION'
     b-aa-control.list = 'Not Applicable' + CHR(4) + 'Block' + CHR(4) + 'Message'
     b-aa-control.des = 'Komt terug bij de aa-debtor....'
     .
  
  END. /*-- DO --*/
  
  FOR EACH aa-debtor EXCLUSIVE-LOCK
    WHERE aa-debtor.limit_action = '' 
       OR aa-debtor.limit_action = '' :
  
    aa-debtor.limit_action = 'Not Applicable' .
  
  END.

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-reportTexts) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE reportTexts Procedure 
PROCEDURE reportTexts :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/

DEFINE BUFFER b-aa-text_type FOR aa-text_type.
DEFINE BUFFER b-aa-text_object_part FOR aa-text_object_part.

DO TRANSACTION:


  FIND b-aa-text_type WHERE TRUE 
   AND b-aa-text_type.textcode = 'DOSSIERNO_COLUMN_LABEL'
   EXCLUSIVE-LOCK NO-ERROR.
   IF NOT AVAILABLE b-aa-text_type
   THEN CREATE b-aa-text_type.
   ASSIGN 
        b-aa-text_type.textcode = 'DOSSIERNO_COLUMN_LABEL'
        b-aa-text_type.des = 'Label van een dossiernr kolom.'
        .

  FIND b-aa-text_type WHERE TRUE 
   AND b-aa-text_type.textcode = 'LOADINGPLACE_COLUMN_LABEL'
   EXCLUSIVE-LOCK NO-ERROR.
   IF NOT AVAILABLE b-aa-text_type
   THEN CREATE b-aa-text_type.
   ASSIGN 
        b-aa-text_type.textcode = 'LOADINGPLACE_COLUMN_LABEL'
        b-aa-text_type.des = 'Label van een plaats van laden kolom.'
        .

  FIND b-aa-text_type WHERE TRUE 
   AND b-aa-text_type.textcode = 'NO_IN_COLUMN_LABEL'
   EXCLUSIVE-LOCK NO-ERROR.
   IF NOT AVAILABLE b-aa-text_type
   THEN CREATE b-aa-text_type.
   ASSIGN 
        b-aa-text_type.textcode = 'NO_IN_COLUMN_LABEL'
        b-aa-text_type.des = 'Label van aantal in kolom'
        .

  FIND b-aa-text_type WHERE TRUE 
   AND b-aa-text_type.textcode = 'NO_OUT_COLUMN_LABEL'
   EXCLUSIVE-LOCK NO-ERROR.
   IF NOT AVAILABLE b-aa-text_type
   THEN CREATE b-aa-text_type.
   ASSIGN 
        b-aa-text_type.textcode = 'NO_OUT_COLUMN_LABEL'
        b-aa-text_type.des = 'Label van aantal uit kolom'
        .

  FIND b-aa-text_object_part WHERE TRUE 
   AND b-aa-text_object_part.text_objectnr = 26
   AND b-aa-text_object_part.part_seqnr = 14
   AND b-aa-text_object_part.textcode = 'DOSSIERNO_COLUMN_LABEL'
   AND b-aa-text_object_part.text_seqnr = 0
   EXCLUSIVE-LOCK NO-ERROR.
   IF NOT AVAILABLE b-aa-text_object_part
   THEN CREATE b-aa-text_object_part.
   ASSIGN 
        b-aa-text_object_part.text_objectnr = 26
        b-aa-text_object_part.part_seqnr = 14
        b-aa-text_object_part.textcode = 'DOSSIERNO_COLUMN_LABEL'
        b-aa-text_object_part.text_seqnr = 0
        .
  
  FIND b-aa-text_object_part WHERE TRUE 
   AND b-aa-text_object_part.text_objectnr = 26
   AND b-aa-text_object_part.part_seqnr = 15
   AND b-aa-text_object_part.textcode = 'LOADINGPLACE_COLUMN_LABEL'
   AND b-aa-text_object_part.text_seqnr = 0
   EXCLUSIVE-LOCK NO-ERROR.
   IF NOT AVAILABLE b-aa-text_object_part
   THEN CREATE b-aa-text_object_part.
   ASSIGN 
        b-aa-text_object_part.text_objectnr = 26
        b-aa-text_object_part.part_seqnr = 15
        b-aa-text_object_part.textcode = 'LOADINGPLACE_COLUMN_LABEL'
        b-aa-text_object_part.text_seqnr = 0
        .
  
  FIND b-aa-text_object_part WHERE TRUE 
   AND b-aa-text_object_part.text_objectnr = 26
   AND b-aa-text_object_part.part_seqnr = 16
   AND b-aa-text_object_part.textcode = 'NO_IN_COLUMN_LABEL'
   AND b-aa-text_object_part.text_seqnr = 0
   EXCLUSIVE-LOCK NO-ERROR.
   IF NOT AVAILABLE b-aa-text_object_part
   THEN CREATE b-aa-text_object_part.
   ASSIGN 
        b-aa-text_object_part.text_objectnr = 26
        b-aa-text_object_part.part_seqnr = 16
        b-aa-text_object_part.textcode = 'NO_IN_COLUMN_LABEL'
        b-aa-text_object_part.text_seqnr = 0
        .
  
  FIND b-aa-text_object_part WHERE TRUE 
   AND b-aa-text_object_part.text_objectnr = 26
   AND b-aa-text_object_part.part_seqnr = 17
   AND b-aa-text_object_part.textcode = 'NO_OUT_COLUMN_LABEL'
   AND b-aa-text_object_part.text_seqnr = 0
   EXCLUSIVE-LOCK NO-ERROR.
   IF NOT AVAILABLE b-aa-text_object_part
   THEN CREATE b-aa-text_object_part.
   ASSIGN 
        b-aa-text_object_part.text_objectnr = 26
        b-aa-text_object_part.part_seqnr = 17
        b-aa-text_object_part.textcode = 'NO_OUT_COLUMN_LABEL'
        b-aa-text_object_part.text_seqnr = 0
        .

  
  
END. /* each company */


END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

/* ************************  Function Implementations ***************** */

&IF DEFINED(EXCLUDE-spGetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION spGetEntry Procedure 
FUNCTION spGetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER ) :

  {System/include/sp-get-entry.i}.

END FUNCTION.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-spSetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION spSetEntry Procedure 
FUNCTION spSetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValue     AS CHARACTER,
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER ) :

  {System/include/sp-set-entry.i}.

END FUNCTION.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

