{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/12.02/aa-1202-after-01-address_contact-email.p
  Doel: Conversie emailadressne naar nieuwe seperator CHR(10)
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.
DEF VAR iLoop                         AS INTEGER   NO-UNDO.
DEF VAR cAddress                      AS CHARACTER NO-UNDO.
DEF VAR cAllAddresses                 AS CHARACTER NO-UNDO.

ASSIGN cProgram =  "aa-1202-after-01-address_contact-email".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.



  ASSIGN cAction  = "Omzetten emailadressen nieuw scheidingsteken"
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

  DO TRANSACTION:

    FOR EACH aa-address_contact:

      ASSIGN aa-address_contact.emailaddress = REPLACE(aa-address_contact.emailaddress, ",", CHR(10))
             aa-address_contact.emailaddress = REPLACE(aa-address_contact.emailaddress, ";", CHR(10))
             aa-address_contact.emailaddress = REPLACE(aa-address_contact.emailaddress, "+", CHR(10))
             cAllAddresses                    = ""
        .
      DO iLoop = 1 TO NUM-ENTRIES(aa-address_contact.emailaddress, CHR(10)):
        cAddress = TRIM(ENTRY(iLoop, aa-address_contact.emailaddress, CHR(10))).
        IF cAddress <> ""
        THEN cAllAddresses = (IF cAllAddresses = "" THEN "" ELSE cAllAddresses + CHR(10))
                           + cAddress.
      END.
      aa-address_contact.emailaddress = cAllAddresses.

      iDone = iDone  + 1.
      RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

    END. /* FOR EACH aa-address_contact: */
  END. /* DO TRANSACTION */
  


RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
