
{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/12.04/aa-1204-before-01-fax.p
  Doel: Fax service werkt al jaren niet meer -> verwijderen uit schedulers
------------------------------------------------------------------------*/
  DEF VAR cProgram                      AS CHARACTER NO-UNDO.
  DEF VAR cAction                       AS CHARACTER NO-UNDO.
  DEF VAR cTable                        AS CHARACTER NO-UNDO.
  DEF VAR iDone                         AS INTEGER   NO-UNDO.
  DEF VAR iTotal                        AS INTEGER   NO-UNDO.

  DISABLE TRIGGERS FOR LOAD OF aa-edi-scheduler-service.
  DISABLE TRIGGERS FOR LOAD OF aa-edi-schedule-comm.
  DISABLE TRIGGERS FOR LOAD OF aa-edi-srv-par.

  DEF BUFFER b-aa-edi-scheduler-service FOR aa-edi-scheduler-service.
  DEF BUFFER b-aa-edi-schedule-comm     FOR aa-edi-schedule-comm.
  DEF BUFFER b-aa-edi-srv-par           FOR aa-edi-srv-par.

  ASSIGN
    cProgram = "aa-1204-before-01-fax.p"
    cAction  = "Delete fax records"
    cTable   = ""
    iTotal   = 0
    iDone    = 0
    .

  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

  DO TRANSACTION:

    FOR EACH b-aa-edi-scheduler-service WHERE
             b-aa-edi-scheduler-service.service_code = "FAX"
      EXCLUSIVE-LOCK:

      DELETE b-aa-edi-scheduler-service.
      ASSIGN
        iTotal = iTotal + 1
        iDone  = iDone + 1.

    END.

    FOR EACH b-aa-edi-schedule-comm WHERE
             b-aa-edi-schedule-comm.service_code = "FAX"
      EXCLUSIVE-LOCK:

      DELETE b-aa-edi-schedule-comm.

      ASSIGN
        iTotal = iTotal + 1
        iDone  = iDone + 1.
    END.

    FOR EACH b-aa-edi-srv-par WHERE
             b-aa-edi-srv-par.service_code = "FAX"
      EXCLUSIVE-LOCK:

      DELETE b-aa-edi-srv-par.

      ASSIGN
        iTotal = iTotal + 1
        iDone  = iDone + 1.
    END.

  END. /* DO TRANSACTION */

  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
